Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.pkcs
Class SafeBag

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.pkcs.SafeBag

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class SafeBag
extends ASN1Object

Constructor Summary
`SafeBag(ASN1ObjectIdentifier oid, ASN1Encodable obj)`
`SafeBag(ASN1ObjectIdentifier oid, ASN1Encodable obj, ASN1Set bagAttributes)`

Method Summary
`ASN1Set` | `getBagAttributes()`
`ASN1ObjectIdentifier` | `getBagId()`
`ASN1Encodable` | `getBagValue()`
`static SafeBag` | `getInstance(java.lang.Object obj)`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SafeBag

    public SafeBag(ASN1ObjectIdentifier oid,
                   ASN1Encodable obj)

### SafeBag

    public SafeBag(ASN1ObjectIdentifier oid,
                   ASN1Encodable obj,
                   ASN1Set bagAttributes)

Method Detail

### getInstance

    public static SafeBag getInstance(java.lang.Object obj)

### getBagId

    public ASN1ObjectIdentifier getBagId()

### getBagValue

    public ASN1Encodable getBagValue()

### getBagAttributes

    public ASN1Set getBagAttributes()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD